<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>Uses of Class Heroes.Tile.TileKinds</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="use: package: Heroes.Tile, enum: TileKinds">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-use">
<script type="text/javascript">var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../TileKinds.html" title="enum in Heroes.Tile">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1 title="Uses of Class Heroes.Tile.TileKinds" class="title">Uses of Class<br>Heroes.Tile.TileKinds</h1>
</div>
<div class="classUseContainer">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#Heroes.Map">Heroes.Map</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#Heroes.Tile">Heroes.Tile</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#Heroes.Tile.Towers">Heroes.Tile.Towers</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="classUses">
<ul class="blockList">
<li class="blockList">
<section class="detail"><a id="Heroes.Map">
<!--   -->
</a>
<h2>Uses of <a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a> in <a href="../../Map/package-summary.html">Heroes.Map</a></h2>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../Map/package-summary.html">Heroes.Map</a> that return types with arguments of type <a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.HashMap&lt;java.lang.Integer,&#8203;<a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MapGenerator.</span><code><span class="memberNameLink"><a href="../../Map/MapGenerator.html#getTilesKindMap()">getTilesKindMap</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets map of tilesKind .</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section class="detail"><a id="Heroes.Tile">
<!--   -->
</a>
<h2>Uses of <a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a> in <a href="../package-summary.html">Heroes.Tile</a></h2>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">Heroes.Tile</a> that return <a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Tile.</span><code><span class="memberNameLink"><a href="../Tile.html#getTileKind()">getTileKind</a></span>()</code></th>
<td class="colLast">
<div class="block">Get tile kind tile kinds.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TileKinds.</span><code><span class="memberNameLink"><a href="../TileKinds.html#valueOf(java.lang.String)">valueOf</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a>[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TileKinds.</span><code><span class="memberNameLink"><a href="../TileKinds.html#values()">values</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">Heroes.Tile</a> with parameters of type <a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Tile.</span><code><span class="memberNameLink"><a href="../Tile.html#setTileKind(Heroes.Tile.TileKinds)">setTileKind</a></span>&#8203;(<a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a>&nbsp;tk)</code></th>
<td class="colLast">
<div class="block">Set tile kind.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Constructors in <a href="../package-summary.html">Heroes.Tile</a> with parameters of type <a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Constructible.html#%3Cinit%3E(int,int,Heroes.Tile.TileKinds,Heroes.Tile.TowerStates,int,int,int)">Constructible</a></span>&#8203;(int&nbsp;x,
int&nbsp;y,
<a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a>&nbsp;tileKind,
<a href="../TowerStates.html" title="enum in Heroes.Tile">TowerStates</a>&nbsp;state,
int&nbsp;attack,
int&nbsp;attackRate,
int&nbsp;attackRange)</code></th>
<td class="colLast">
<div class="block">Instantiates a new Constructible.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Tile.html#%3Cinit%3E(int,double,Heroes.Tile.TileKinds)">Tile</a></span>&#8203;(int&nbsp;x,
double&nbsp;y,
<a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a>&nbsp;tileKind)</code></th>
<td class="colLast">
<div class="block">Instantiates a new Tile.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section class="detail"><a id="Heroes.Tile.Towers">
<!--   -->
</a>
<h2>Uses of <a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a> in <a href="../Towers/package-summary.html">Heroes.Tile.Towers</a></h2>
<div class="useSummary">
<table>
<caption><span>Constructors in <a href="../Towers/package-summary.html">Heroes.Tile.Towers</a> with parameters of type <a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Towers/Tower.html#%3Cinit%3E(int,int,Heroes.Tile.TileKinds,Heroes.Tile.TowerStates,int,int,int,java.lang.String,int,int)">Tower</a></span>&#8203;(int&nbsp;x,
int&nbsp;y,
<a href="../TileKinds.html" title="enum in Heroes.Tile">TileKinds</a>&nbsp;tileKind,
<a href="../TowerStates.html" title="enum in Heroes.Tile">TowerStates</a>&nbsp;state,
int&nbsp;attack,
int&nbsp;attackRate,
int&nbsp;attackRange,
java.lang.String&nbsp;towerName,
int&nbsp;buyPrice,
int&nbsp;sellPrice)</code></th>
<td class="colLast">
<div class="block">Instantiates a new Tower.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../TileKinds.html" title="enum in Heroes.Tile">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
